<template>
  <div class="row add-new-block">
    <div class="col-12 add-new-block__title">ADD NEW TODO</div>
    <div class="col-12 add-new-block__input-add-new">
      <div class="input-group input-group--border">
        <input type="text" class="form-control add-input" placeholder="Add new todo here" aria-label="Add new todo here" aria-describedby="basic-addon2" v-model="new_todo" />
        <div class="input-group-append add-button">
          <a class="btn btn-primary add-button--css" type="button"  v-on:click="handleAddNewItem">Add</a>
        </div>
      </div>
    </div>
    <div class="col-12 add-new-block__list-todo" v-if="doing_items.length > 0">
      <div class="input-group  input-group-item" v-for="(item, index) in doing_items" v-bind:key="index">
        <div class="input-group-prepend input-group-item__checkbox">
          <div class="input-group-text">
            <input
              type="checkbox"
              aria-label="Checkbox for following text input"
              v-bind:value="item.id"
              v-model="checked_list"
            />
          </div>
        </div>
        <input
          type="text"
          class="form-control input-group-item__input"
          aria-label="Text input with checkbox"
          v-model="item.name"
          :disabled="item.disabled == 1"
        />
        <div class="input-group-prepend input-group-item__button">
          <button class="btn btn-primary input-group-item__button--bold" type="button" v-if="item.disabled==1" v-on:click="$emit('enable_update', index)">Update</button>
          <button class="btn btn-success input-group-item__button--bold" type="button" v-if="item.disabled==0" v-on:click="$emit('save_update', index, item.name)">Save</button>
        </div>
      </div>
    </div>
    <div class="col-12 add-new-block__list-todo" v-else-if="doing_items.length == 0">
      <p class="add-new-block__list-todo--center">Todo list is empty</p>
    </div>
    <!-- {{checked_list}} -->
    <div class="col-12 add-new_block__button-list">
      <a class="btn btn-danger delete-items-button" @click="handleDeleteItem">Delete</a>
      <a class="btn btn-success completed-items-button" @click="handleCompletedItem">Completed</a>
    </div>
  </div>
</template>

<script>
import "./scss/AddNew.scss";
export default {
  name: "AddNew",
  props: {
    'doing_items':{
      type: Array,
      default: () => [],
    }
  },
  data() {
    return {
      new_todo: '',
      validated: 1,
      update_state: false,
      checked_list: []
    };
  },
  methods:{
    handleAddNewItem(){
      this.$emit('add_new_item', this.new_todo);
      this.new_todo = '';
    },
    async handleDeleteItem(){
      this.$emit('delete_item', this.checked_list);
      this.checked_list = [];
    },
    handleCompletedItem(){
      this.$emit('completed_confirm', this.checked_list);
      this.checked_list = [];
    }
  },
  watch:{
    checked_list: function(val){
      console.log("checked_list = ", this.checked_list, val);
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
